import React from 'react'
import { Result, Button } from 'antd'
interface Iprops {
  error?: Error
  onRetry: () => void
}
const withErrorPage: React.FC<Iprops> = ({ error, onRetry, ...props }) => {
  if (error) {
    return (
      <Result
        status='500'
        title='500'
        subTitle={error.message}
        extra={
          <Button type='primary' onClick={onRetry}>
            重试
          </Button>
        }
      />
    )
  }
  return props.children || null
}
export default withErrorPage
