import { RouteComponentProps } from 'react-router-dom';
import { DiffOutlined, PieChartOutlined } from '@ant-design/icons';
import loginPage from '../page/login';
import adminLayout from '../layout';
import mechanism from '../page/mechanism';
import adminpersons from '../page/adminperson';
import log from '../page/log';
import personCenter from '../page/personcenter';
export const routeConfigs = [
	{
		path: '/login',
		component: loginPage,
		exact: true,
		title: '登录',
	},
	{
		path: '/',
		component: adminLayout,
		childs: [
			{
				path: '/mechanism',
				exact: true,
				component: mechanism,
				title: '机构',
				breadcrumbName: '机构',
				meunName: '机构管理',
				Icon: PieChartOutlined,
			},
			{
				path: '/mechanism/:id',
				component: adminpersons,
				title: '管理员列表',
				breadcrumbName: '管理员',
			},
			{
				path: '/log',
				title: '日志记录',
				component: log,
				meunName: '日志记录',
				breadcrumbName: '日志记录',
				Icon: DiffOutlined,
			},
			{
				path: '/personCenter',
				title: '个人中心',
				component: personCenter,
				breadcrumbName: '个人中心',
			},
			{
				path: '/',
				exact: true,
				redirect: '/mechanism',
			},
		],
	},
];

export type pageProps<T extends {}> = RouteComponentProps<T> & {
	title: string;
};
